#ifndef __ALPHABET_H
#define __ALPHABET_H

#include "utils.h"

typedef enum {DIRECT,INDIRECT,SKIP,PEOR,EOR,INVALID} letter_type; 

void init_alphabet(void);
void init_iupac_code(void);
letter_type get_letter_type(const char c);
/*
  int is_valid(char c);
  int is_letter(char c);
  int is_skip(char c);
  int is_eor(char c);
  int is_peor(char c);
  int is_indirect(char c);
  int is_direct(char c);
*/
inline char *get_alias(const char c);
inline int get_code(const char c);
char *get_simplification(const char *s);
char *get_complement(const char *s);
char *get_char_complement(const char c);
//void print_alphabet(void);

#endif // __ALPHABET_H
